## tclx8.3 8.3.5-4

=== debian/changelog ===
tclx8.3 (8.3.5-4) unstable; urgency=low

  * Changed section of *-doc packages to doc.

 -- Massimo Dal Zotto <dz@debian.org>  Wed, 14 Jan 2004 14:58:18 +0100

tclx8.3 (8.3.5-3) unstable; urgency=low

  * Fixed small bug in /usr/lib/tclX8.3/help/tcl/intro/syntax.
    Thanks to Ulrich Doehner.

  * Replaced undocumented manpages with debian specific manpages.

  * Expanded package extended descrition description to make Javier
    Fernandez-Sanguino happy.
    Closes: #209730, #209849, #209902, #209928.

 -- Massimo Dal Zotto <dz@debian.org>  Wed, 14 Jan 2004 13:11:38 +0100

tclx8.3 (8.3.5-2) unstable; urgency=low

  * Fixed library search order when linking wishx so that it is always
    compiled aganist own libraries even if another version of tclx is
    already installed in the system.

 -- Massimo Dal Zotto <dz@debian.org>  Thu, 12 Dec 2002 12:36:03 +0100

tclx8.3 (8.3.5-1) unstable; urgency=low

  * New Upstream Release.

  * Added dependency on x-terminal-emulator for tkx8.3 package and
    changed wishx menu entry to launch an x-terminal-emulator.

  * Fixed order of xlibs dependencies.
    Closes: Bug#170238.

  * Replaced hardlinks to manpages with symlinks.

 -- Massimo Dal Zotto <dz@debian.org>  Mon,  9 Dec 2002 09:45:10 +0100

tclx8.3 (8.3.0-10) unstable; urgency=low

  * Moved tclhelp8.3.1.gz and wishx8.3.1.gz in package tkx8.3.

 -- Massimo Dal Zotto <dz@debian.org>  Wed, 18 Jul 2001 08:53:50 +0200

tclx8.3 (8.3.0-8) unstable; urgency=low

  * Added missing comma in Handles.3.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 19 Jun 2001 20:40:28 +0200

tclx8.3 (8.3.0-7) unstable; urgency=low

  * In debian/rules added horrible hack to correct Bug#92768 in tk8.3-dev.

 -- Massimo Dal Zotto <dz@debian.org>  Mon,  9 Apr 2001 23:53:22 +0200

tclx8.3 (8.3.0-6) unstable; urgency=low

  * In unix/configure hardcoded the SHARED_LIB_SUFFIX since the Debian
    maintainer of tcl8.3 is changing it at every release.
    Closes: Bug#92345.

  * Added xlib6g-dev | xlibs-dev to build dependencies.

 -- Massimo Dal Zotto <dz@debian.org>  Tue,  3 Apr 2001 16:21:56 +0200

tclx8.3 (8.3.0-5) unstable; urgency=low

  * Added missing build-dependencies on bsdmainutils.

  * Added tclx.3tclx manpage as link to TclX.3tclx.

 -- Massimo Dal Zotto <dz@debian.org>  Wed, 28 Mar 2001 23:37:20 +0200

tclx8.3 (8.3.0-4) unstable; urgency=low

  * Added missing build-dependencies on groff.

 -- Massimo Dal Zotto <dz@debian.org>  Mon, 26 Mar 2001 13:10:37 +0200

tclx8.3 (8.3.0-3) unstable; urgency=low

  * In unix/configure reverted SHARED_LIB_SUFFIX to the original value
    since tcl8.3-dev has changed SHLIB_SUFFIX to .so.1.

  * Added explicit build-dependency on tcl8.3 (>= 8.3.2-5) since previous
    versions of the package are broken.

 -- Massimo Dal Zotto <dz@debian.org>  Sat, 10 Feb 2001 21:46:41 +0100

tclx8.3 (8.3.0-2) unstable; urgency=low

  * Added missing build-dependencies on tcl8.3-doc and tk8.3-doc.
    Closes: Bug#84708.

  * Fixes to debian/rules and debian/copymanpages.

 -- Massimo Dal Zotto <dz@debian.org>  Sat,  3 Feb 2001 11:17:18 +0100

tclx8.3 (8.3.0-1) unstable; urgency=low

  * Initial packaging (closes: Bug#82727).

  * Changes to allow multiple *-dev installed packages.

  * In tclxConfig.sh.in changed TCLX_BUILD_LIB_SPEC to TCL_LIB_SPEC since
    it is very unlikely that the user has the TclX sources installed in
    the same place as myself. The same for tkxConfig.sh.in.

  * In tkXshell.c:TkX_MainEx() fixed bug in fileName argument parsing.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 16 Jan 2001 11:21:10 +0100

Local variables:
mode: debian-changelog
End:
