=== debian/control ===
Source: tclx8.3
Section: libs
Priority: optional
Maintainer: Massimo Dal Zotto <dz@debian.org>
Standards-Version: 3.5.2
Build-Depends: tcl8.3-dev (>= 8.3.2-8), tk8.3-dev (>= 8.3.2-4), tcl8.3-doc, tk8.3-doc, xlibs-dev | xlib6g-dev, debhelper (>= 3.0.0), groff, bsdmainutils, perl

Package: tclx8.3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Provides: tclx
Suggests: tkx8.3, tclx8.3-doc
Description: Extended Tcl (TclX) version 8.3.5 -- TclX runtime package
 Extended Tcl (TclX), is a set of extensions to Tcl, the Tool Command
 Language invented by Dr. John Ousterhout.  Tcl is a powerful, yet simple
 embeddable programming language.  Extended Tcl is oriented towards system
 programming tasks and large application development.
 .
 TclX provides additional interfaces to the operating system, and adds many
 new programming constructs, text manipulation tools, and debugging tools.
 .
 The tclx8.3 package doesn't include programs and libraries depending on Tk.
 You need the tkx8.3 package for these.

Package: tkx8.3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, xterm | x-terminal-emulator
Provides: tkx
Suggests: tkx8.3-doc
Description: Extended Tcl (TclX) version 8.3.5 -- TkX runtime package
 Extended Tcl (TclX), is a set of extensions to Tcl, the Tool Command
 Language invented by Dr. John Ousterhout.  Tcl is a powerful, yet simple
 embeddable programming language.  Extended Tcl is oriented towards system
 programming tasks and large application development.
 .
 This package contains the TclX programs and libraries depending on Tk.

Package: tclx8.3-dev
Section: devel
Architecture: any
Depends: tclx8.3 (= ${Source-Version}), tcl8.3-dev
Suggests: tclx8.3-doc
Conflicts: tclx-dev
Description: Extended Tcl (TclX) version 8.3.5 -- TclX development package
 Extended Tcl (TclX), is a set of extensions to Tcl, the Tool Command
 Language invented by Dr. John Ousterhout.  Tcl is a powerful, yet simple
 embeddable programming language.  Extended Tcl is oriented towards system
 programming tasks and large application development.
 .
 This package includes the static libraries and include files.

Package: tkx8.3-dev
Section: devel
Architecture: any
Depends: tkx8.3 (= ${Source-Version}), tk8.3-dev
Suggests: tkx8.3-doc
Conflicts: tclx-dev
Description: Extended Tcl (TclX) version 8.3.5 -- TkX development package
 Extended Tcl (TclX), is a set of extensions to Tcl, the Tool Command
 Language invented by Dr. John Ousterhout.  Tcl is a powerful, yet simple
 embeddable programming language.  Extended Tcl is oriented towards system
 programming tasks and large application development.
 .
 This package includes the static libraries and include files.

Package: tclx8.3-doc
Section: doc
Architecture: all
Provides: tclx-doc
Conflicts: tclx-doc, tclx-dev
Description: Extended Tcl (TclX) version 8.3.5 -- TclX manpages
 Extended Tcl (TclX), is a set of extensions to Tcl, the Tool Command
 Language invented by Dr. John Ousterhout.  Tcl is a powerful, yet simple
 embeddable programming language.  Extended Tcl is oriented towards system
 programming tasks and large application development.
 .
 This package includes the man pages for non-X programs.

Package: tkx8.3-doc
Section: doc
Architecture: all
Provides: tkx-doc
Conflicts: tkx-doc, tclx-dev
Description: Extended Tcl (TclX) version 8.3.5 -- TkX manpages
 Extended Tcl (TclX), is a set of extensions to Tcl, the Tool Command
 Language invented by Dr. John Ousterhout.  Tcl is a powerful, yet simple
 embeddable programming language.  Extended Tcl is oriented towards system
 programming tasks and large application development.
 .
 This package includes the man pages for X programs.
