## tclx8.3 8.3.5-4.1

=== debian/changelog ===
tclx8.3 (8.3.5-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * Urgency high due to RC bug fix.
  * Added a Replaces: tclx8.3 (<= 9.3.0-8) to tkx8.3 to prevent
    woody->sarge upgrade problems. (Closes: #309004)

 -- Luk Claes <luk@debian.org>  Tue, 17 May 2005 12:39:16 +0200
