=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
 Depends: ${shlibs:Depends}, xterm | x-terminal-emulator
 Provides: tkx
 Suggests: tkx8.3-doc
+Replaces: tclx8.3 (<= 8.3.0-8)
 Description: Extended Tcl (TclX) version 8.3.5 -- TkX runtime package
  Extended Tcl (TclX), is a set of extensions to Tcl, the Tool Command
  Language invented by Dr. John Ousterhout.  Tcl is a powerful, yet simple
