## tclx8.3 8.3.5-5

=== debian/changelog ===
tclx8.3 (8.3.5-5) unstable; urgency=low

  * Fixed incorrect check for clock_t in unix/configure.
    Closes: Bug#324577.

  * Added build-dependency on x-dev.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 23 Aug 2005 22:33:04 +0200
