=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Massimo Dal Zotto <dz@debian.org>
 Standards-Version: 3.5.2
-Build-Depends: tcl8.3-dev (>= 8.3.2-8), tk8.3-dev (>= 8.3.2-4), tcl8.3-doc, tk8.3-doc, xlibs-dev | xlib6g-dev, debhelper (>= 3.0.0), groff, bsdmainutils, perl
+Build-Depends: tcl8.3-dev (>= 8.3.2-8), tk8.3-dev (>= 8.3.2-4), tcl8.3-doc, tk8.3-doc, x-dev | xlibs-dev | xlib6g-dev, debhelper (>= 3.0.0), groff, bsdmainutils, perl
 
 Package: tclx8.3
 Section: libs
